
using System;

namespace Calculator
{
	/// <summary>
	/// Interface for a node
	/// </summary>
	public interface INode
	{
		/// <summary>
		/// Method to implement double dispatch (the visitor pattern) on the node hierarchy
		/// </summary>
		/// <param name="v">
		/// A <see cref="IVisitor"/>
		/// </param>
		void Accept(IVisitor v);
	}
}
