
using System;

namespace Calculator
{

	/// <summary>
	/// Generated when an empty stack is detected
	/// </summary>
	public class EmptyStackEvaluationException:Exception
	{
        /// <summary>
        /// Exception message.
        /// </summary>
        public static readonly String message = "Unexpected empty stack. Cannot evaluate empty stack.";

		/// <summary>
		/// Constructor accepting information about the exception 
		/// </summary>
		/// <param name="msg">
		/// A <see cref="System.String"/>
		/// </param>
		public EmptyStackEvaluationException():base(message)
		{

		}
	}
}
