
using System;

namespace Calculator
{

	/// <summary>
	/// Operator "-"
	/// </summary>
	public class MinusOperator:Operator
	{
		/// <summary>
		/// Minus Operator constructor
		/// </summary>
		public MinusOperator ():base("-")
		{}
		/// <summary>
		/// Implement double dispatch using this operator and the specific visitor passed as argument
		/// </summary>
		/// <param name="v">
		/// A <see cref="IVisitor"/>
		/// </param>
		public override void Accept(IVisitor v)
		{
			v.Visit(this);
		}
	}		
}
